#
# tuned configuration
#

[main]
summary=Base CloudLinux hosting profile - NOT FOR DIRECT USE, use cloudlinux-default-cgv1 or cloudlinux-default-cgv2 instead
include=throughput-performance

[bootloader]
cmdline = cgroup.memory=nokmem

[cpu]
governor=performance
energy_perf_bias=performance
min_perf_pct=100

[vm]
transparent_hugepages=never

[sysctl]
kernel.numa_balancing = 1

#################
vm.dirty_ratio = 40
vm.dirty_background_ratio = 10
vm.swappiness=10
####
vm.zone_reclaim_mode=0
vm.oom_dump_tasks=0

####################3
# TCP fast open reduces network latency by enabling data exchange
# during the sender's initial TCP SYN. The value 3 enables fast open
# on client and server connections.
net.ipv4.tcp_fastopen=3

[disk-vm]
type=disk
devices = vd*
elevator = mq-deadline

[disk-sas]
type=disk
devices = sd*
elevator = mq-deadline

[disk-nvme]
type=disk
devices = nvme*
elevator = none
